View Issue Details

IDProjectCategoryView StatusLast Update
0001257Main CAcert Websiteaccount administrationpublic2014-06-29 10:21
ReporterINOPIAE Assigned ToBenBE  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2014 Q1 
Target Version2014 Q1Fixed in Version2014 Q1 
Summary0001257: CCA statistics generates error entry
Descriptionthere is an error log entry for line 74 und 75 of account/57.php
Additional InformationPHP Notice: Undefined index: date in /git/cacert/pages/account/57.php on line 74
PHP Notice: Undefined index: method in /git/cacert/pages/account/57.php on line 75
TagsNo tags attached.
Reviewed byNEOatNHNG, BenBE
Test Instructions

Activities

INOPIAE

2014-03-11 22:29

updater   ~0004630

I pushed a fix to https://github.com/INOPIAE/CAcert/tree/bug-1257

NEOatNHNG

2014-03-11 22:57

administrator   ~0004632

Patch reviewed and put on to test server. Please test and do a second review.

INOPIAE

2014-03-11 23:03

updater   ~0004633

Last edited: 2014-03-15 11:58

View 2 revisions

two tester looked at the CCA and no error log entry was observed by the software assessor

MartinGummi

2014-03-11 23:05

updater   ~0004634

Last edited: 2014-03-11 23:05

View 2 revisions

second report of INOPIAE (I am the second tester)

INOPIAE

2014-03-18 22:39

updater   ~0004649

Retested today with three testers. No error log entry was observed by the software assessor.

INOPIAE

2014-03-18 22:39

updater   ~0004650

Please review

MartinGummi

2014-03-18 22:40

updater   ~0004652

3.oct13@acme.com no error on testserver terminal
4.continous@acme.com no error on testserver terminal

=> ok

NEOatNHNG

2014-03-21 18:07

administrator   ~0004671

Mail sent to critical admins.

wytze

2014-03-24 11:45

developer   ~0004680

The fix has been installed on the production server on March 24, 2014. See also:
https://lists.cacert.org/wws/arc/cacert-systemlog/2014-03/msg00011.html

Issue History

Date Modified Username Field Change
2014-03-11 22:11 INOPIAE New Issue
2014-03-11 22:29 INOPIAE Assigned To => INOPIAE
2014-03-11 22:29 INOPIAE Note Added: 0004630
2014-03-11 22:29 INOPIAE Status new => fix available
2014-03-11 22:30 INOPIAE Description Updated View Revisions
2014-03-11 22:47 NEOatNHNG Additional Information Updated View Revisions
2014-03-11 22:55 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 9a372e1d
2014-03-11 22:55 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 2ed18305
2014-03-11 22:57 NEOatNHNG Reviewed by => NEOatNHNG
2014-03-11 22:57 NEOatNHNG Note Added: 0004632
2014-03-11 22:57 NEOatNHNG Status fix available => needs review & testing
2014-03-11 23:03 INOPIAE Note Added: 0004633
2014-03-11 23:05 MartinGummi Note Added: 0004634
2014-03-11 23:05 MartinGummi Note Edited: 0004634 View Revisions
2014-03-15 11:58 INOPIAE Note Edited: 0004633 View Revisions
2014-03-18 22:39 INOPIAE Note Added: 0004649
2014-03-18 22:39 INOPIAE Note Added: 0004650
2014-03-18 22:39 INOPIAE Assigned To INOPIAE => BenBE
2014-03-18 22:39 INOPIAE Status needs review & testing => needs review
2014-03-18 22:40 MartinGummi Note Added: 0004652
2014-03-18 22:55 BenBE Reviewed by NEOatNHNG => NEOatNHNG, BenBE
2014-03-18 22:55 BenBE Status needs review => ready to deploy
2014-03-21 01:13 BenBE Summary CCA statiscs generates error entry => CCA statistics generates error entry
2014-03-21 18:07 NEOatNHNG Note Added: 0004671
2014-03-21 18:15 NEOatNHNG Source_changeset_attached => cacert-devel release 0dce6527
2014-03-24 11:45 wytze Note Added: 0004680
2014-03-24 11:45 wytze Status ready to deploy => solved?
2014-03-24 11:45 wytze Fixed in Version => 2014 Q1
2014-03-24 11:45 wytze Resolution open => fixed
2014-06-29 10:21 INOPIAE Status solved? => closed